package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 用户中间表(UserMid)实体类
 *
 * @author makejava
 * @since 2024-11-20 15:30:19
 */
public class UserMid implements Serializable {
    private static final long serialVersionUID = -18221698825175971L;
    /**
     * 任务编号
     */
    private Integer id;
    /**
     * 用户ID
     */
    private String uid;
    /**
     * 管理员ID
     */
    private String aid;
    /**
     * 最后跟进时间
     */
    private Date lastFollowTime;
    /**
     * 最后锁定时间
     */
    private Date lastSignTime;
    /**
     * 添加时间
     */
    private Date createTime;
    /**
     * 大客户 0否 1是
     */
    private Integer bigCustomer;
    /**
     * 修改人编号
     */
    private String updateAid;
    /**
     * 修改人名称
     */
    private String updateName;
    /**
     * 用户资料修改时间
     */
    private Date dateUpdateTime;
    /**
     * 渠道类别 1=其他,2=民主党派3=园区,4=民间组织,5=战略合作单位
     */
    private Integer channelType;
    /**
     * 退单标识
     */
    private Integer chargeback;
    /**
     * 会员标识
     */
    private Integer member;
    /**
     * 最后销售类型
     */
    private Integer lastSalesType;
    /**
     * 最后跟进方式
     */
    private Integer lastFollowType;
    /**
     * 跟进次数
     */
    private Integer followNumber;
    /**
     * 已签项目
     */
    private String taskNames;
    /**
     * 签单次数
     */
    private Integer signNumber;
    /**
     * 签单金额
     */
    private BigDecimal signAmount;
    /**
     * 最新签单时间
     */
    private Date lastSigningTime;
    /**
     * 第一次签单时间
     */
    private Date firstSigningTime;
    /**
     * 跟进部门
     */
    private String followDep;
    /**
     * 跟进说明
     */
    private String followExplain;
    /**
     * 跟进人
     */
    private String followAname;
    /**
     * 跟进人编号
     */
    private String followAid;
    /**
     * 呼叫次数
     */
    private Integer callCount;
    /**
     * 呼叫时间
     */
    private Integer callDuration;

    public UserMid(String uid, Integer channelType) {
        this.uid = uid;
        this.channelType = channelType;
    }

    public UserMid() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Date getLastFollowTime() {
        return lastFollowTime;
    }

    public void setLastFollowTime(Date lastFollowTime) {
        this.lastFollowTime = lastFollowTime;
    }

    public Date getLastSignTime() {
        return lastSignTime;
    }

    public void setLastSignTime(Date lastSignTime) {
        this.lastSignTime = lastSignTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getBigCustomer() {
        return bigCustomer;
    }

    public void setBigCustomer(Integer bigCustomer) {
        this.bigCustomer = bigCustomer;
    }

    public String getUpdateAid() {
        return updateAid;
    }

    public void setUpdateAid(String updateAid) {
        this.updateAid = updateAid;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getDateUpdateTime() {
        return dateUpdateTime;
    }

    public void setDateUpdateTime(Date dateUpdateTime) {
        this.dateUpdateTime = dateUpdateTime;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public Integer getChargeback() {
        return chargeback;
    }

    public void setChargeback(Integer chargeback) {
        this.chargeback = chargeback;
    }

    public Integer getMember() {
        return member;
    }

    public void setMember(Integer member) {
        this.member = member;
    }

    public Integer getLastSalesType() {
        return lastSalesType;
    }

    public void setLastSalesType(Integer lastSalesType) {
        this.lastSalesType = lastSalesType;
    }

    public Integer getLastFollowType() {
        return lastFollowType;
    }

    public void setLastFollowType(Integer lastFollowType) {
        this.lastFollowType = lastFollowType;
    }

    public Integer getFollowNumber() {
        return followNumber;
    }

    public void setFollowNumber(Integer followNumber) {
        this.followNumber = followNumber;
    }

    public String getTaskNames() {
        return taskNames;
    }

    public void setTaskNames(String taskNames) {
        this.taskNames = taskNames;
    }

    public Integer getSignNumber() {
        return signNumber;
    }

    public void setSignNumber(Integer signNumber) {
        this.signNumber = signNumber;
    }

    public BigDecimal getSignAmount() {
        return signAmount;
    }

    public void setSignAmount(BigDecimal signAmount) {
        this.signAmount = signAmount;
    }

    public Date getLastSigningTime() {
        return lastSigningTime;
    }

    public void setLastSigningTime(Date lastSigningTime) {
        this.lastSigningTime = lastSigningTime;
    }

    public Date getFirstSigningTime() {
        return firstSigningTime;
    }

    public void setFirstSigningTime(Date firstSigningTime) {
        this.firstSigningTime = firstSigningTime;
    }

    public String getFollowDep() {
        return followDep;
    }

    public void setFollowDep(String followDep) {
        this.followDep = followDep;
    }

    public String getFollowExplain() {
        return followExplain;
    }

    public void setFollowExplain(String followExplain) {
        this.followExplain = followExplain;
    }

    public String getFollowAname() {
        return followAname;
    }

    public void setFollowAname(String followAname) {
        this.followAname = followAname;
    }

    public String getFollowAid() {
        return followAid;
    }

    public void setFollowAid(String followAid) {
        this.followAid = followAid;
    }

    public Integer getCallCount() {
        return callCount;
    }

    public void setCallCount(Integer callCount) {
        this.callCount = callCount;
    }

    public Integer getCallDuration() {
        return callDuration;
    }

    public void setCallDuration(Integer callDuration) {
        this.callDuration = callDuration;
    }

}

